CCI_TARGET=CCI_v2.3
#Dependencies dictate order of compilation, performed in 6 steps to ensure 
#dependent libraries are build first
#level 0
#d1_jibx_extensions d1_test_resources foresite
#D1_JIBX_EXTENSIONS=branches/D1_JIBX_EXTENSIONS_v2.2
D1_TEST_RESOURCES=branches/D1_TEST_RESOURCES_v2.3
D1_CN_VERSION_TOOL=branches/D1_CN_VERSION_TOOL_v2.3
#FORESITE=

#level 1
#d1_common_java(d1_jobx_extensions, d1_test_resources)
D1_COMMON_JAVA=branches/D1_COMMON_JAVA_v2.3

#level 2
#d1_libclient_java(d1_common_java, d1_test_resources, foresite) 
#d1_cn_common(d1_common_java)  
#d1_cn_index_common(d1_common_java)
D1_CN_COMMON=branches/D1_CN_COMMON_v2.3
D1_CN_INDEX_COMMON=branches/D1_CN_INDEX_COMMON_v2.3
D1_LIBCLIENT_JAVA=branches/D1_LIBCLIENT_JAVA_v2.3

#Level 3
#metacat(foresite, d1_common_java, d1_libclient_java) 
#d1_certificate_manager(d1_libclient_java)  
#portal(d1_common_java, d1_libclient_java)  
#d1_cn_index_generator(d1_cn_index_common d1_common_java d1_cn_common) 
#d1_cn_noderegistry(d1_cn_common)
#METACAT=
D1_PORTAL=branches/D1_PORTAL_v2.3
D1_CN_INDEX_GENERATOR=branches/D1_CN_INDEX_GENERATOR_v2.3
D1_CN_NODEREGISTRY=branches/D1_CN_NODEREGISTRY_v2.3

#Level 4  GOT TO HERE, need to do something special with D1_MERCURY_UI, branch from trunk?
#d1_mercury_common(d1_common_java d1_libclient_java d1_portal)
#d1_identity_manager(d1_cn_common d1_libclient_java d1_cn_noderegistry)
#d1_portal_servlet(d1_portal) 
#d1_cn_index_processor(d1_cn_common d1_libclient_java d1_cn_index_common d1_cn_index_generator d1_cn_noderegistry) 
#d1_log_aggregation(d1_libclient_java d1_cn_noderegistry)  
#d1_replication(d1_cn_noderegistry d1_cn_common d1_libclient_java)
#D1_MERCURY_COMMON=branches/D1_MERCURY_COMMON_v2.2
D1_IDENTITY_MANAGER=branches/D1_IDENTITY_MANAGER_v2.3
D1_PORTAL_SERVLET=branches/D1_PORTAL_SERVLET_v2.3
D1_CN_INDEX_PROCESSOR=branches/D1_CN_INDEX_PROCESSOR_v2.3
D1_LOG_AGGREGATION=branches/D1_LOG_AGGREGATION_v2.3
D1_CN_APPROVE_NODE=branches/D1_CN_APPROVE_NODE_v2.3
D1_REPLICATION=branches/D1_REPLICATION_v2.3

#Level 5
#d1_cn_service(d1_libclient_java d1_identity_manager d1_portal d1_cn_rest_proxy d1_cn_noderegistry d1_cn_common d1_common_java)  
#d1_synchronization(d1_libclient_java d1_cn_noderegistry d1_identity_manager)
#d1_mercury_ui(d1_mercury_common) 
D1_CN_REST=branches/D1_CN_REST_v2.3
D1_SYNCHRONIZATION=branches/D1_SYNCHRONIZATION_v2.3
#D1_MERCURY_UI=branches/D1_MERCURY_UI_v2.2
D1_SOLR_EXTENSIONS=branches/D1_SOLR_EXTENSIONS_v2.3
D1_CN_INDEX_TOOL=branches/D1_CN_INDEX_TOOL_v2.3
D1_REPLICATION_AUDITOR=branches/D1_REPLICATION_AUDITOR_v2.3

#Level 6
#d1_process_daemon(d1_synchronization d1_replication d1_log_aggregation)
D1_PROCESS_DAEMON=branches/D1_PROCESS_DAEMON_v2.3

#Level 7 Got to here -rpw
#Debian Packages for deployment on CNs
DATAONE_CN_OS_CORE_DEB=branches/DATAONE-CN-OS-CORE_v2.3
DATAONE_CN_SOLR_DEB=branches/DATAONE-CN-SOLR_v2.3
DATAONE_CN_INDEX_DEB=branches/DATAONE-CN-INDEX_v2.3
DATAONE_CN_METACAT_DEB=branches/DATAONE-CN-METACAT_v2.8
DATAONE_CN_PORTAL_DEB=branches/DATAONE-CN-PORTAL_v2.3
DATAONE_CN_PROCESS_DAEMON_DEB=branches/DATAONE-CN-PROCESSDAEMON_v2.3
DATAONE_CN_REST_SERVICE_DEB=branches/DATAONE-CN-REST-SERVICE_v2.3
DATAONE_CN_VERSION_TOOL_DEB=branches/DATAONE-CN-VERSION-TOOL_v2.3
#DATAONE_MERCURY_DEB=branches/DATAONE-MERCURY_v2.2
#DATAONE_ZOOKEEPER_DEB=branches/DATAONE-ZOOKEEPER_v2.0
#DATAONE_SOLR_DEB=branches/DATAONE-SOLR_v2.0
#DATAONE_CN_ANSIBLE_DEB=branches/DATAONE-CN-ANSIBLE_v2.0

